package tab

import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Info
import androidx.compose.material3.HorizontalDivider
import androidx.compose.material3.Icon
import androidx.compose.material3.ListItem
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import cafe.adriel.voyager.core.screen.Screen

class List : Screen {

    @Composable
    override fun Content() {
        LazyColumn {
            items(1000) { index ->
                ItemList(index)
            }
        }
    }

    @Composable
    private fun ItemList(number: Int) {
        ListItem(
            headlineContent = {
                Text(text = "E${number + 100}")
            },
            leadingContent = {
                Icon(
                    imageVector = Icons.Outlined.Info,
                    contentDescription = "Unknown"
                )
            }
        )
        HorizontalDivider()
    }
}
